Catmandu::Fix::Condition::all_match(3pm)

NAME
Catmandu::Fix::Condition::all_match - only execute fixes if all path values match the given regex

SYNOPSIS
   # uppercase the value of field 'foo' if all members of 'oogly' have the value 'doogly'
   if all_match(oogly.*, "doogly")
     upcase(foo) # foo => 'BAR'
   end

   # case insensitive search for 'doogly' in all 'oogly'
   if all_match(oogly.*, "(?i)doogly")
     ...
   end

SEE ALSO
Catmandu::Fix